# ]po[ ITSM Configuration Mgmt
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](http://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](http://www.project-open.com/en/list-installers)

About ]po[ ITSM Configuration Mgmt:

<p><p>This package allows IT departments overseeing and maintaining wide spread networks of multiple machines and terminals to compile databases of information about the various configuration options presently installed on each particular machine. This database has all the normal functionality and interactivity of a standard database, and additionally has plug ins to all the normal ]project-open[ routines of ticket, workflow, and timesheet task processing, etc. <p><img alt="Confdb" src="http://www.project-open.com/images/manual_screenshots/screenshot_package_intranet_confdb.gif" />

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/lib/conf-item-list-component.adp">lib/conf-item-list-component.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/lib/conf-item-list-component.tcl">lib/conf-item-list-component.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/lib/related-objects-component.adp">lib/related-objects-component.adp</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/lib/related-objects-component.tcl">lib/related-objects-component.tcl</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=191051&amp;path=packages/intranet-confdb/tcl/intranet-confdb-procs.tcl">tcl/intranet-confdb-procs.tcl</a></b></td><td></td><td></td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item::audit">im_conf_item::audit</a></b></td><td></td><td>Write the audit trail </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item::check_permissions">im_conf_item::check_permissions</a></b></td><td></td><td>Check if the user can perform view, read, write or admin the conf_item </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item::new">im_conf_item::new</a></b></td><td></td><td>Create a new configuration item. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item::nuke">im_conf_item::nuke</a></b></td><td></td><td>Permanently deletes the ConfItem from the database. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item::set_status_id">im_conf_item::set_status_id</a></b></td><td></td><td>Set the conf_item to the specified status. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_list_component">im_conf_item_list_component</a></b></td><td></td><td>Creates a HTML table showing a list of configuration items associated with a project, a task, a user or a ticket. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_list_component_old">im_conf_item_list_component_old</a></b></td><td></td><td>Returns a HTML component to show all project related conf items </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_navbar">im_conf_item_navbar</a></b></td><td></td><td>Returns rendered HTML code for a horizontal sub-navigation bar for /intranet-confdb/. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_new_project_rel">im_conf_item_new_project_rel</a></b></td><td></td><td>Establishes as is-conf-item-of relation between conf item and project </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_nuke">im_conf_item_nuke</a></b></td><td></td><td>Permanently deletes the ConfItem from the database. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_options">im_conf_item_options</a></b></td><td></td><td>Returns a list of all Conf Items. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_permissions">im_conf_item_permissions</a></b></td><td></td><td>Fill the &quot;by-reference&quot; variables read, write and admin with the permissions of $user_id on $conf_item_id </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_related_objects_component">im_conf_item_related_objects_component</a></b></td><td></td><td>Returns a HTML component with the list of related tickets. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_select_sql">im_conf_item_select_sql</a></b></td><td></td><td>Returns an SQL statement that allows you to select a range of configuration items, given a number of conditions. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_status_active">im_conf_item_status_active</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_status_deleted">im_conf_item_status_deleted</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_cvs_repository">im_conf_item_type_cvs_repository</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_hardware">im_conf_item_type_hardware</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_host">im_conf_item_type_host</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_laptop">im_conf_item_type_laptop</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_license">im_conf_item_type_license</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_mainframe">im_conf_item_type_mainframe</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_network_device">im_conf_item_type_network_device</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_pc">im_conf_item_type_pc</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_po_package">im_conf_item_type_po_package</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_po_process">im_conf_item_type_po_process</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_postfix_process">im_conf_item_type_postfix_process</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_postgresql_process">im_conf_item_type_postgresql_process</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_pound_process">im_conf_item_type_pound_process</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_process">im_conf_item_type_process</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_server">im_conf_item_type_server</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_service">im_conf_item_type_service</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_software">im_conf_item_type_software</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_specs">im_conf_item_type_specs</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_type_workstation">im_conf_item_type_workstation</a></b></td><td></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_conf_item_update_sql">im_conf_item_update_sql</a></b></td><td></td><td>Returns an SQL statement that updates all Conf Item fields from variables according to the ]po[ coding conventions. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_menu_conf_items_admin_links">im_menu_conf_items_admin_links</a></b></td><td></td><td>Return a list of admin links to be added to the &quot;Conf Items&quot; menu </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_navbar_tree_confdb">im_navbar_tree_confdb</a></b></td><td></td><td>Creates an &lt;ul&gt; ...&lt;/ul&gt; collapsable menu for the system&#39;s main NavBar. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=191051&amp;proc=im_package_conf_items_id">im_package_conf_items_id</a></b></td><td></td><td>Returns the package id of the intranet-confdb module </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/intranet-confdb-create.sql&amp;version_id=191051">sql/postgresql/intranet-confdb-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/intranet-confdb-drop.sql&amp;version_id=191051">sql/postgresql/intranet-confdb-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.1.0.0-5.0.1.0.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.2.3.0-5.0.2.3.1.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.2.3.0-5.0.2.3.1.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.2.3.1-5.0.2.3.2.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.2.3.1-5.0.2.3.2.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.2.4.1-5.0.2.4.2.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-confdb&amp;url=postgresql/upgrade/upgrade-5.0.2.4.3-5.0.2.4.4.sql&amp;version_id=191051">sql/postgresql/upgrade/upgrade-5.0.2.4.3-5.0.2.4.4.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/action.tcl">action.tcl</a></b></td><td>Perform bulk actions on conf_items</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-2.adp">associate-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-2.tcl">associate-2.tcl</a></b></td><td>Associate the conf_item_ids in &quot;cid&quot; with one of the specified objects.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-conf-item-with-task-2.tcl">associate-conf-item-with-task-2.tcl</a></b></td><td>Associate the conf_item_ids in &quot;cid&quot; with one of the specified objects.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-conf-item-with-task.adp">associate-conf-item-with-task.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-conf-item-with-task.tcl">associate-conf-item-with-task.tcl</a></b></td><td>Allow the user to associate the current ticket with a new object using an OpenACS relationship.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-delete.tcl">associate-delete.tcl</a></b></td><td>Delete rel_ids from acs_rels</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-inverse.adp">associate-inverse.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate-inverse.tcl">associate-inverse.tcl</a></b></td><td>Allow the user to associate the current ticket with a new object using an OpenACS relationship.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate.adp">associate.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/associate.tcl">associate.tcl</a></b></td><td>Allow the user to associate the current ticket with a new object using an OpenACS relationship.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/conf-item-del.tcl">conf-item-del.tcl</a></b></td><td>Delete conf_items</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/dashboard.adp">dashboard.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/dashboard.tcl">dashboard.tcl</a></b></td><td>Ticket Dashboard</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/index.adp">index.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/index.tcl">index.tcl</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/new.tcl">new.tcl</a></b></td><td>Show or create a new configuration item</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/nuke-2.adp">nuke-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/nuke-2.tcl">nuke-2.tcl</a></b></td><td>Remove a Conf Item from the system completely</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/nuke.adp">nuke.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=191051&amp;path=packages/intranet-confdb/www/nuke.tcl">nuke.tcl</a></b></td><td>Try to remove a user completely</td></tr></table>

